<?php
   	 require("../clases/Movimiento.class.php");
	     $Objusu = new Movimiento();	
         $accion=$_REQUEST['txtpara'];	
		 define("DIR_UPLOAD","D:/server/htdocs/sitsermpcp/fotorendicion");	
	/////////////////////////////////// 		
      if($accion=="R")
	   {    			
				$tipo=$_REQUEST['tipo'];				
				$fe=$_REQUEST['fecha'];
				$prov=$_REQUEST['proveedor'];
				$dniruc=$_REQUEST['dniruc'];
				$numdoc=$_REQUEST['numdoc'];
				$concepto=$_REQUEST['concepto'];
				$monto=$_REQUEST['monto'];
				$idu=$_REQUEST['idusuario'];
				/////////////////////para subir el archivo//////////////////////////////
				$vtempfile	= $_FILES['file']['tmp_name'];//ubicacion temporal del archivo subido
				$vnomfile	= trim($_FILES['file']['name']);//nombre del archivo(segun tipo)
				$vnomfile	= substr($vnomfile,-30);//sustraigo los 20 ulimos caracteres
				$vtamaño	= $_FILES['foto']['size'];
				$vtipo		= $_FILES['file']['type'];
				//$vnomfile	= ereg_replace(" ","",$vnomfile);//elimino los espacios en blanco del nombre del archivo
	
				if($vnomfile!="")//verifica haya sido cargado el archivo y es del tipo aceptado
				{
				  if (!((strpos($vtipo, "gif") || strpos($vtipo, "png") || strpos($vtipo, "jpeg") || strpos($vtipo, "pdf")) && ($vtamaño < 1000000)))
					{
	
						echo "<b>Error: La foto no cumple con las caracterizticas requeridas<b>";
						exit();
	
					}else{
							if(is_uploaded_file($vtempfile))
								{ if(!move_uploaded_file($vtempfile,DIR_UPLOAD."/".$vnomfile))
									 {
										echo "no se puede subir";
										exit;
									}
								}
								else
									{
									echo $_FILES['file']['name'];
									exit;
									}
						}
				//echo "ha subido";
				}else{ $vnomfile = NULL; }
		/////////////////////////////////////////////////////////////////					
								//echo $vNombretrans." ".$vTipovehiculo." "." ".$vPlaca." ";
			if($Objusu->Crear($tipo,$fe,$prov,$dniruc,$numdoc,$concepto,$monto,$vnomfile,$idu))
				  {                
					echo "<script languaje=javascript>\n"; 
	 				echo "alert('Guardado correctamente');location.href ='../frmrendicion.php';";					
	 				echo "</script>"; 					
		          } else{ echo "No se pudo guardar";}
       } 
	   
	   
	   if($accion=="E")
	   {    	$idmov = $_REQUEST["ida"];	
		/////////////////////////////////////////////////////////////////
			if($Objusu->Eliminar($idmov))
				  {                
					echo "<script languaje=javascript>\n"; 
	 				echo "alert('Eliinado correctamente');location.href ='../frmrendicion.php';";					
	 				echo "</script>"; 					
		          } else{ echo "No se pudo guardar";}
       }  
	  
	 
	 ////////////////////////////*/ 	
	 if($accion=="M")
	   {        $vcod = $_REQUEST['idafiliado'];
				$dni=$_REQUEST['dni'];				
				$nombres=$_REQUEST['nombres'];
				$apepat=$_REQUEST['apepat'];
				$apemat=$_REQUEST['apemat'];
				$fechanac=$_REQUEST['fechanac'];
				$lugarnac=$_REQUEST['lugarnac'];
				$ocupa=$_REQUEST['ocupacion'];
				$gradoins=$_REQUEST['gradoins'];
				$ec=$_REQUEST['estadocivil'];
				$ruc=$_REQUEST['ruc'];
				$sangre=$_REQUEST['sangre'];
				$dom=$_REQUEST['domicilio'];
				
				/////////////////////para subir el archivo//////////////////////////////
				$vtempfile	= $_FILES['file']['tmp_name'];//ubicacion temporal del archivo subido
				$vnomfile	= trim($_FILES['file']['name']);//nombre del archivo(segun tipo)
				$vnomfile	= substr($vnomfile,-30);//sustraigo los 20 ulimos caracteres
				$vtamaño	= $_FILES['foto']['size'];
				$vtipo		= $_FILES['file']['type'];
				//$vnomfile	= ereg_replace(" ","",$vnomfile);//elimino los espacios en blanco del nombre del archivo
	
				if($vnomfile!="")//verifica haya sido cargado el archivo y es del tipo aceptado
				{
				  if (!((strpos($vtipo, "gif") || strpos($vtipo, "png") || strpos($vtipo, "jpeg")) && ($vtamaño < 1000000)))
					{
	
						echo "<b>Error: La foto no cumple con las caracterizticas requeridas<b>";
						exit();
	
					}else{
							if(is_uploaded_file($vtempfile))
								{ if(!move_uploaded_file($vtempfile,DIR_UPLOAD."/".$vnomfile))
									 {
										echo "no se puede subir";
										exit;
									}
								}
								else
									{
									echo $_FILES['file']['name'];
									exit;
									}
						}
				//echo "ha subido";
				}else{ $vnomfile = NULL; }
		/////////////////////////////////////////////////////////////////				
 			if($vnomfile=="")//verifica haya sido cargado el archivo y es del tipo aceptado
			{									
				if($Objusu->ActualizarSinFoto($vcod,$dni,$nombres,$apepat,$apemat,$fechanac,$lugarnac,$ocupa,$gradoins,$ec,$ruc,$sangre,$dom))
				  {                
					echo "<script languaje=javascript>\n"; 
	 				echo "alert('Datos modificado correctamente');location.href ='../perfil.php?ida=$vcod';";					
	 				echo "</script>";
					 					
		          }else{ echo "No se pudo modificar";}
			}else{
					if($Objusu->ActualizarConfoto($vcod,$dni,$nombres,$apepat,$apemat,$fechanac,$lugarnac,$ocupa,$gradoins,$ec,$ruc,$sangre,$vnomfile,$dom))
				  	{                
						echo "<script languaje=javascript>\n"; 
						echo "alert('Datos modificado correctamente');location.href ='../perfil.php?ida=$vcod';";					
						echo "</script>";
					 					
		             }else{ echo "No se pudo modificar";}
			    }
				  
       } 
	 /*////////////////////////////////////////////*/  
	 
	 
			?>